Subject: [icnrg] I-D Action: draft-irtf-icnrg-ccninfo-07.txt

From: [email-masked]
Date: Mon, 12 Jul 2021 07:25:16 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Information-Centric Networking RG of the IRTF.

        Title           : CCNinfo: Discovering Content and Network Information in Content-Centric Networks
        Authors         : Hitoshi Asaeda
                          Atsushi Ooka
                          Xun Shao
	Filename        : draft-irtf-icnrg-ccninfo-07.txt
	Pages           : 37
	Date            : 2021-07-12

Abstract:
   This document describes a mechanism named "CCNinfo" that discovers
   information about the network topology and in-network cache in
   Content-Centric Networks (CCN).  CCNinfo investigates: 1) the CCN
   routing path information per name prefix, 2) the Round-Trip Time
   (RTT) between the content forwarder and consumer, and 3) the states
   of in-network cache per name prefix.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-irtf-icnrg-ccninfo/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-irtf-icnrg-ccninfo-07

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-irtf-icnrg-ccninfo-07

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: Colin Perkins <[email-masked]>
Date: Sun, 25 Jul 2021 23:35:02 +0100

Hi,

Thanks for updating this – I’ve reviewed the changes, and they address the issues I raised at IETF 110. I do, however, have two comments on this latest version:

1. This version of the draft does a good job of motivating how this helps with experiments, but it might be useful to add a sentence to the Abstract saying something like “CCNinfo is useful to understand and debug the behaviour of testbed networks and other experimental deployments of CCN systems”, to make this even clearer.

2. Section 2.1 of RFC 5743 requires all IRTF drafts to contain a statement in the Abstract identifying the drafts as a product of an IRTF RG (“This memo is a product of the IRTF Information-Centric Networking Research Group”) and some text in the Introduction stating the level of support for the publication and the extent of review received (probably something similar to “This memo represents the consensus view of the IRTF Information-Centric Networking Research Group. It has received review by…”). Could you please add these statements?

Thanks,
Colin

> On 12 Jul 2021, at 15:25, [email-masked] wrote:
> 
> 
> _______________________________________________
> icnrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/icnrg

-- 
Colin Perkins
https://csperkins.org/

---

From: Hitoshi Asaeda <[email-masked]>
Date: Mon, 26 Jul 2021 17:02:34 +0900

Hi Colin,

Thank you very much for your review.
I'll update the draft as you mentioned and submit it shortly.

Thanks!

Regards,

Hitoshi

> On Jul 26, 2021, at 7:35, Colin Perkins <[email-masked]> wrote:
> 
> Hi,
>